SEARCHEXPR(3)

NAME
searchExpr - searches for a specific atom in an expression.

SYNOPSYS
#include "logmmm.h"
int searchExpr(expr,name)
chain_list *expr;
char *name;

PARAMETERS

expr
    expression

name
    name to look for

DESCRIPTION
searchExpr() searches for name in expr and returns 1 if name is an atom of expr.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr;
expr = createExpr(OR);
addQExpr(expr,createAtom("a"));
addQExpr(expr,createAtom("b"));
printf("%d",searchExpr(expr,"a"));
/* it will display
1
*/
freeExpr(expr);

SEE ALSO
log(1), abl(1), searchOperExpr(3), equalExpr(3), equalVarExpr(3), lengthExpr(3), profExpr(3), numberAtomExpr(3).